> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Execution Result Aggregate Detail > Get the aggregate detail of a test execution result ## OpenAPI ````json GET /api/v1/Execution/projects/{projectId}/tests/{testId}/results/{batchKey}/aggregate-detail { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Execution/projects/{projectId}/tests/{testId}/results/{batchKey}/aggregate-detail": { "get": { "tags": [ "Execution" ], "summary": "Get Execution Result Aggregate Detail", "description": "Get the aggregate detail of a test execution result", "parameters": [ { "name": "projectId", "in": "path", "description": "Project containing the execution", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "testId", "in": "path", "description": "Test that was executed", "required": true, "schema": { "type": "integer", "format": "int32" } }, { "name": "batchKey", "in": "path", "description": "Batch containing the execution, named either by its numeric\n batch id or by the execution key returned when the test was executed", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestExecutionAggregateDetail" } } } }, "404": { "description": "Not Found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorResponse" } } } }, "403": { "description": "Forbidden" } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.TestExecutionAggregateDetail": { "title": "TestExecutionAggregateDetail", "type": "object", "properties": { "status": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.BatchStatus" }, "batchId": { "type": "integer", "description": "ID of the batch", "format": "int32" }, "testName": { "type": "string", "description": "Name of the test that was executed", "nullable": true }, "testId": { "type": "integer", "description": "ID of the test that was executed", "format": "int32" }, "testVersionId": { "type": "integer", "description": "ID of the test version that was executed", "format": "int32" }, "startTime": { "type": "string", "description": "Start time of the execution", "format": "date-time" }, "completionTime": { "type": "string", "description": "Completion time of the execution", "format": "date-time", "nullable": true }, "duration": { "type": "string", "description": "Duration of the execution", "nullable": true }, "storageLocation": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ResultStorageLocation" }, "testDataSource": { "type": "string", "description": "The test data source of the executed test", "nullable": true }, "testDataSetType": { "type": "string", "description": "Type of the test data set of the executed test", "nullable": true }, "testScriptDuration": { "type": "string", "description": "Duration of the executed test's test script", "nullable": true }, "controlDataSource": { "type": "string", "description": "The control data source of the executed test", "nullable": true }, "controlDataSetType": { "type": "string", "description": "Type of the control data set of the executed test", "nullable": true }, "controlScriptDuration": { "type": "string", "description": "Duration of the executed test's control script", "nullable": true }, "runBy": { "type": "string", "description": "The user who executed the batch", "nullable": true }, "testResultType": { "type": "string", "description": "Whether the executed test was scalar or table", "nullable": true }, "scalarResults": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestExecutionAggregateDetailScalarResults" }, "tableSummaryResults": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestExecutionAggregateDetailTableSummaryResults" }, "testDatasetError": { "type": "string", "description": "Error present in the test dataset", "nullable": true }, "controlDatasetError": { "type": "string", "description": "Error present in the control dataset", "nullable": true }, "testError": { "type": "string", "description": "Error present in the test", "nullable": true }, "batchError": { "type": "string", "description": "Error present in the batch", "nullable": true }, "testOverallResultStatus": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestOverallResultStatus" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorResponse": { "title": "ErrorResponse", "type": "object", "properties": { "error": { "type": "string", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.BatchStatus": { "title": "BatchStatus", "enum": [ "Running", "Aborting", "Aborted", "Completed", "Abandoned" ], "type": "string" }, "Configuration.Api.Models.v1.ResultStorageLocation": { "title": "StorageLocation", "enum": [ "LocalStorage", "Snowflake", "Databricks" ], "type": "string" }, "Configuration.Api.Models.v1.TestExecutionAggregateDetailScalarResults": { "title": "TestExecutionAggregateDetailScalarResults", "type": "object", "properties": { "result": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestEvaluationResult" }, "numericTestValue": { "type": "number", "description": "The scalar test's test value, if numeric", "format": "double", "nullable": true }, "numericControlValue": { "type": "number", "description": "The scalar test's control value, if numeric", "format": "double", "nullable": true }, "numericActualDifference": { "type": "number", "description": "The numeric actual difference between the test's test and control values, if numeric", "format": "double", "nullable": true }, "numericAbsoluteDifference": { "type": "number", "description": "The numeric absolute difference between the test's test and control values, if numeric", "format": "double", "nullable": true }, "numericPercentDifference": { "type": "number", "description": "The numeric percent difference between the test's test and control values, if numeric", "format": "double", "nullable": true }, "stringTestValue": { "type": "string", "description": "The scalar test's test value, if a string", "nullable": true }, "stringControlValue": { "type": "string", "description": "The scalar test's control value, if a string", "nullable": true }, "dateTestValue": { "type": "string", "description": "The scalar test's test value, if a date/time", "nullable": true }, "dateControlValue": { "type": "string", "description": "The scalar test's control value, if a date/time", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TestExecutionAggregateDetailTableSummaryResults": { "title": "TestExecutionAggregateDetailTableSummaryResults", "type": "object", "properties": { "overallResults": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestExecutionAggregateDetailTableSummaryResultsOverall" }, "columnAggregationResults": { "type": "array", "items": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestExecutionAggregateDetailTableSummaryResultsColumn" }, "description": "List of aggregation results for each column" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TestOverallResultStatus": { "title": "TestOverallResultStatus", "enum": [ "NeverRun", "AlwaysPassing", "AlwaysFailing", "AlwaysErroring", "NowFailing", "NowErroring", "NowPassing", "IntermittentFailures", "IntermittentErrors", "IntermittentPasses", "StalePassed", "StaleFailed", "StaleErrored" ], "type": "string" }, "Configuration.Api.Models.v1.TestEvaluationResult": { "title": "TestEvaluationResult", "enum": [ "Running", "Passed", "Failed", "Error" ], "type": "string" }, "Configuration.Api.Models.v1.TestExecutionAggregateDetailTableSummaryResultsOverall": { "title": "TestExecutionAggregateDetailTableSummaryResultsOverall", "type": "object", "properties": { "result": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestEvaluationResult" }, "totalRows": { "type": "integer", "description": "Total # of rows for the test execution", "format": "int32" }, "passedTotal": { "type": "integer", "description": "# of passed rows for the test execution", "format": "int32" }, "failedTotal": { "type": "integer", "description": "# of failed rows for the test execution", "format": "int32" }, "errorTotal": { "type": "integer", "description": "# of error rows for the test execution", "format": "int32" }, "testOnlyTotal": { "type": "integer", "description": "# of rows that were test only for the test execution", "format": "int32" }, "matchedTotal": { "type": "integer", "description": "# of rows that were matched for the test execution", "format": "int32" }, "controlOnlyTotal": { "type": "integer", "description": "# of rows that were control only for the test execution", "format": "int32" }, "testOnlyPassed": { "type": "integer", "description": "# of test only rows that passed for the test execution", "format": "int32" }, "matchedPassed": { "type": "integer", "description": "# of matched rows that passed for the test execution", "format": "int32" }, "controlOnlyPassed": { "type": "integer", "description": "# of control only rows that passed for the test execution", "format": "int32" }, "testOnlyFailed": { "type": "integer", "description": "# of test only rows that failed for the test execution", "format": "int32" }, "matchedFailed": { "type": "integer", "description": "# of matched rows that failed for the test execution", "format": "int32" }, "controlOnlyFailed": { "type": "integer", "description": "# of control only rows that failed for the test execution", "format": "int32" }, "testOnlyError": { "type": "integer", "description": "# of test only rows that errored for the test execution", "format": "int32" }, "matchedError": { "type": "integer", "description": "# of matched rows that errored for the test execution", "format": "int32" }, "controlOnlyError": { "type": "integer", "description": "# of control only rows that errored for the test execution", "format": "int32" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TestExecutionAggregateDetailTableSummaryResultsColumn": { "title": "TestExecutionAggregateDetailTableSummaryResultsColumn", "type": "object", "properties": { "testDataSetColumnIndex": { "type": "integer", "description": "The test data set index of the column", "format": "int32", "nullable": true }, "testDataSetColumnRole": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSetColumnRole" }, "testDataSetColumnType": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSetColumnType" }, "testDataSetColumnName": { "type": "string", "description": "The test data set name of the column", "nullable": true }, "controlDataSetColumnIndex": { "type": "integer", "description": "The control data set index of the column", "format": "int32", "nullable": true }, "controlDataSetColumnRole": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSetColumnRole" }, "controlDataSetColumnType": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.TestDataSetColumnType" }, "controlDataSetColumnName": { "type": "string", "description": "The control data set name of the column", "nullable": true }, "passedCount": { "type": "integer", "description": "The passed count of the column", "format": "int32", "nullable": true }, "failedCount": { "type": "integer", "description": "The failed count of the column", "format": "int32", "nullable": true }, "errorCount": { "type": "integer", "description": "The error count of the column", "format": "int32", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.TestDataSetColumnRole": { "title": "TestDataSetColumnRole", "enum": [ "Key", "Value", "Ignore" ], "type": "string" }, "Configuration.Api.Models.v1.TestDataSetColumnType": { "title": "TestDataSetColumnType", "enum": [ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ], "type": "string" } } } } ````